# Interface ContractInstanceInput

#### Hierarchy

- ContractInstanceInput

- Defined in packages/db/typings/schema.d.ts:559

#####
Index

### Properties

address
callBytecode?
contract?
creation?
network?

## Properties

### address

address: any

- Defined in packages/db/typings/schema.d.ts:560

### `Optional` callBytecode

callBytecode?: null | LinkedBytecodeInput

- Defined in packages/db/typings/schema.d.ts:564

### `Optional` contract

contract?: null | ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:563

### `Optional` creation

creation?: null | ContractInstanceCreationInput

- Defined in packages/db/typings/schema.d.ts:562

### `Optional` network

network?: null | ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:561

Generated using TypeDoc